Bug 11922 - Manual printing database migration fails from 3.5 to newer versions with different dos charset
Manual printing database migration fails from 3.5 to newer versions with diff...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.4.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-18 15:04 UTC by Andreas Schneider
Modified: 2016-06-01 07:39 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.4 (4.55 KB, patch)
2016-05-19 08:50 UTC, Andreas Schneider
gd: review+
Details
patch for 4.3 (4.55 KB, patch)
2016-05-19 08:50 UTC, Andreas Schneider
gd: review+
Details
patch for 3.6 (4.55 KB, patch)
2016-05-19 08:51 UTC, Andreas Schneider
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-05-18 15:04:22 UTC
Manual printing database migration fails from 3.5 to newer versions with different dos charset. The key_name in the TDB need to be converted to, to do a successful conversion.

Patch will follow.
Comment 1 Andreas Schneider 2016-05-19 08:50:35 UTC
Created attachment 12108 [details]
patch for 4.4
Comment 2 Andreas Schneider 2016-05-19 08:50:51 UTC
Created attachment 12109 [details]
patch for 4.3
Comment 3 Andreas Schneider 2016-05-19 08:51:16 UTC
Created attachment 12110 [details]
patch for 3.6
Comment 4 Guenther Deschner 2016-05-20 14:59:36 UTC
Comment on attachment 12108 [details]
patch for 4.4

LGTM
Comment 5 Guenther Deschner 2016-05-20 15:05:04 UTC
Comment on attachment 12109 [details]
patch for 4.3

LGTM
Comment 6 Guenther Deschner 2016-05-20 15:06:01 UTC
Karolin, please add to 4.4.x and 4.3.x.

Thanks!
Comment 7 Karolin Seeger 2016-05-30 09:45:25 UTC
(In reply to Guenther Deschner from comment #6)
Pushed to autobuild-v4-[4|3]-test.
Comment 8 Karolin Seeger 2016-06-01 07:39:23 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Closing out bug report.

Thanks!